Name:          xz
Version:       5.8.0
Release:       1mamba
Summary:       Utilities for the .xz and .lzma formats
Group:         Applications/Archiving
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://tukaani.org/xz-backdoor/
Source:        https://git.tukaani.org/xz.git/v%{version}/xz-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      liblzma = %{?epoch:%epoch:}%{version}-%{release}
Provides:      lzma
Obsoletes:     lzma < 5.4.6

%description
Utilities for the .xz and .lzma formats.
lzma is a file compression utility with a high compression ratio.
Features:
    * Average compression ratio of LZMA is about 30% better than that of gzip, and 15% better than that of bzip2.
    * Decompression speed is only little slower than that of gzip, being two to five times faster than bzip2.
    * In fast mode, compresses faster than bzip2 with a comparable compression ratio.
    * Achieving the best compression ratios takes four to even twelve times longer than with bzip2. However. this doesn't affect decompressing speed.
    * Very similar command line interface than what gzip and bzip2 have.
    * The patch for GNU tar integrates LZMA compression with the tar command in the same way as with gzip and bzip2.
    * Free software licensed under the GNU GPL (actually most parts are under the GNU LGPL).

%package -n liblzma
Summary:       A library implementing the LZMA compression algorythm
Group:         System/Libraries

%description -n liblzma
lzma is a file compression utility with a high compression ratio.
Features:
    * Average compression ratio of LZMA is about 30% better than that of gzip, and 15% better than that of bzip2.
    * Decompression speed is only little slower than that of gzip, being two to five times faster than bzip2.
    * In fast mode, compresses faster than bzip2 with a comparable compression ratio.
    * Achieving the best compression ratios takes four to even twelve times longer than with bzip2. However. this doesn't affect decompressing speed.
    * Very similar command line interface than what gzip and bzip2 have.
    * The patch for GNU tar integrates LZMA compression with the tar command in the same way as with gzip and bzip2.
    * Free software licensed under the GNU GPL (actually most parts are under the GNU LGPL).
This package contains the libzmla dynamic library.

%package -n liblzma-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n liblzma-devel
Utilities for the .xz and .lzma formats.
lzma is a file compression utility with a high compression ratio.
Features:
    * Average compression ratio of LZMA is about 30% better than that of gzip, and 15% better than that of bzip2.
    * Decompression speed is only little slower than that of gzip, being two to five times faster than bzip2.
    * In fast mode, compresses faster than bzip2 with a comparable compression ratio.
    * Achieving the best compression ratios takes four to even twelve times longer than with bzip2. However. this doesn't affect decompressing speed.
    * Very similar command line interface than what gzip and bzip2 have.
    * The patch for GNU tar integrates LZMA compression with the tar command in the same way as with gzip and bzip2.
    * Free software licensed under the GNU GPL (actually most parts are under the GNU LGPL).
This package contains static libraries and header files needed for development.


%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} --all-name --with-man


%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/lz*
%{_bindir}/unlzma
%{_bindir}/unxz
%{_bindir}/xz*
%{_mandir}/man1/lz*.1*
%{_mandir}/man1/unlzma.1*
%{_mandir}/man1/unxz.1*
%{_mandir}/man1/xz*.1*

%files -n liblzma
%defattr(-,root,root)
%{_libdir}/liblzma.so.*
%doc AUTHORS COPYING

%files -n liblzma-devel
%defattr(-,root,root)
%{_includedir}/*.h
%dir %{_includedir}/lzma
%{_includedir}/lzma/*.h
%{_libdir}/liblzma.a
%{_libdir}/liblzma.so
%{_docdir}/xz/*
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog README THANKS

%changelog
* Wed Mar 26 2025 Automatic Build System <autodist@openmamba.org> 5.8.0-1mamba
- automatic version update by autodist

* Sun Jan 26 2025 Automatic Build System <autodist@openmamba.org> 5.6.4-1mamba
- automatic version update by autodist

* Sat Oct 05 2024 Automatic Build System <autodist@openmamba.org> 5.6.3-1mamba
- automatic version update by autodist

* Tue Jun 04 2024 Automatic Build System <autodist@openmamba.org> 5.6.2-1mamba
- automatic version update by autodist

* Sun Mar 31 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.1-2mamba
- switch to clean source as required from CVE-2024-3094

* Sun Mar 10 2024 Automatic Build System <autodist@openmamba.org> 5.6.1-1mamba
- automatic version update by autodist

* Sat Feb 24 2024 Automatic Build System <autodist@openmamba.org> 5.6.0-1mamba
- automatic version update by autodist

* Mon Feb 05 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 5.4.6-1mamba
- update to 5.4.6

* Wed Nov 01 2023 Automatic Build System <autodist@mambasoft.it> 5.4.5-1mamba
- automatic version update by autodist

* Thu Aug 03 2023 Automatic Build System <autodist@mambasoft.it> 5.4.4-1mamba
- automatic version update by autodist

* Fri May 05 2023 Automatic Build System <autodist@mambasoft.it> 5.4.3-1mamba
- automatic version update by autodist

* Sun Mar 19 2023 Automatic Build System <autodist@mambasoft.it> 5.4.2-1mamba
- automatic version update by autodist

* Thu Jan 12 2023 Automatic Build System <autodist@mambasoft.it> 5.4.1-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Fri Dec 09 2022 Automatic Build System <autodist@mambasoft.it> 5.2.9-1mamba
- automatic version update by autodist

* Mon Nov 14 2022 Automatic Build System <autodist@mambasoft.it> 5.2.8-1mamba
- automatic version update by autodist

* Mon Oct 03 2022 Automatic Build System <autodist@mambasoft.it> 5.2.7-1mamba
- automatic version update by autodist

* Sat Aug 13 2022 Automatic Build System <autodist@mambasoft.it> 5.2.6-1mamba
- automatic version update by autodist

* Sun Mar 29 2020 Automatic Build System <autodist@mambasoft.it> 5.2.5-1mamba
- automatic version update by autodist

* Thu May 03 2018 Automatic Build System <autodist@mambasoft.it> 5.2.4-1mamba
- automatic version update by autodist

* Sun Jan 01 2017 Automatic Build System <autodist@mambasoft.it> 5.2.3-1mamba
- automatic version update by autodist

* Tue Sep 29 2015 Automatic Build System <autodist@mambasoft.it> 5.2.2-1mamba
- automatic version update by autodist

* Mon Mar 02 2015 Automatic Build System <autodist@mambasoft.it> 5.2.1-1mamba
- automatic version update by autodist

* Mon Dec 22 2014 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Sun Sep 21 2014 Automatic Build System <autodist@mambasoft.it> 5.0.7-1mamba
- automatic version update by autodist

* Tue Sep 16 2014 Automatic Build System <autodist@mambasoft.it> 5.0.6-1mamba
- automatic version update by autodist

* Mon Jul 01 2013 Automatic Build System <autodist@mambasoft.it> 5.0.5-1mamba
- automatic version update by autodist

* Sat Jun 23 2012 Automatic Build System <autodist@mambasoft.it> 5.0.4-1mamba
- automatic version update by autodist

* Sat Jul 02 2011 Automatic Build System <autodist@mambasoft.it> 5.0.3-1mamba
- automatic update by autodist

* Sat May 21 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.2-1mamba
- update to 5.0.2

* Wed Feb 02 2011 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic update by autodist

* Tue Nov 02 2010 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 4.999.9beta-1mamba
- automatic update by autodist

* Fri Aug 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.999.8beta-1mamba
- package created by autospec
